Stage a role deletion into a change request
DELETE
/api/v1/projects/{projectId}/roles/{roleId}
const url = 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/roles/example?sandboxId=example';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/roles/example?sandboxId=example'The change is staged into the change request named by sandboxId and applies only at promotion. Project-admin gated.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string format: uuid
roleId
required
string
Query Parameters
Section titled “Query Parameters”sandboxId
required
string
Responses
Section titled “Responses”OK